GeoTessCPP 2.6.1 Software to facilitate storage and retrieval of 3D information about the Earth.

Loading...
Searching...
No Matches
geotess::GeoTessPositionLinear Class Reference

Implements linear interpolation in geographic dimensions of a grid. More...

`#include <GeoTessPositionLinear.h>`

Inheritance diagram for geotess::GeoTessPositionLinear:

## Public Member Functions
| GeoTessPositionLinear (GeoTessModel *model, const GeoTessInterpolatorType &radialType)
virtual | ~GeoTessPositionLinear ()
virtual const GeoTessInterpolatorType & | getInterpolatorType () const
virtual long | getMemory ()
Public Member Functions inherited from geotess::GeoTessPosition
virtual | ~GeoTessPosition ()
virtual double | getValue (int attribute)
void | setModel (GeoTessModel *newModel)
bool | noEmptyProfiles ()
void | set (double lat, double lon, double depth)
void | set (const double *const uVector, const double &newRadius)
void | set (int layid, double lat, double lon, double depth)
void | set (int layid, const double *const uVector, double rad)
void | setTop (int layid, const double *const uVector)
void | setBottom (int layid, const double *const uVector)
void | setRadius (int layid, double rad)
void | setRadius (double rad)
void | setDepth (int layer, double depth)
void | setDepth (double depth)
void | setTop (int layid)
void | setBottom (int layid)
double | getRadiusTop (int layid)
double | getRadiusBottom (int layid)
double | getEarthRadius ()
double * | getVector ()
void | copyVector (double *u)
int | getTriangle ()
int | getNVertices ()
const vector< int > & | getVertices () const
int | getIndexOfClosestVertex () const
const double * | getClosestVertex () const
int | getVertex (int index)
void | getCoefficients (map< int, double > &coefficients)
void | setMaxTessLevel (int layid, int maxTess)
int | getMaxTessLevel (int layid)
int | getTessLevel () const
int | getTessLevel (const int &tId)
double | getRadiusTop ()
double | getRadiusBottom ()
double | getDepthTop ()
double | getDepthBottom ()
double | getDepthTop (int layid)
double | getDepthBottom (int layid)
double | getLayerThickness (int layid)
double | getLayerThickness ()
double | getRadius ()
double | getDepth ()
GeoTessModel * | getModel ()
int | getTessID ()
int | getLayerId (double rad)
int | getLayerId ()
string | toString ()
double | getErrorValue ()
void | setErrorValue (double errVal)
int | getVertexIndex ()
void | getWeights (map< int, double > &weights, double dkm)
const vector< double > & | getHorizontalCoefficients () const
double | getHorizontalCoefficient (int index) const
bool | isRadiusOutOfRangeAllowed ()
void | setRadiusOutOfRangeAllowed (bool allowed)
void | addReference ()
void | removeReference ()
int | getReferenceCount ()
bool | isNotReferenced ()

## Protected Member Functions
virtual void | update2D (int tid)

## Additional Inherited Members
Static Public Member Functions inherited from geotess::GeoTessPosition
static GeoTessPosition * | getGeoTessPosition (GeoTessModel *model)
static GeoTessPosition * | getGeoTessPosition (GeoTessModel *model, const GeoTessInterpolatorType &horizontalType)
static GeoTessPosition * | getGeoTessPosition (GeoTessModel *model, const GeoTessInterpolatorType &horizontalType, const GeoTessInterpolatorType &radialType)

## Detailed Description

Implements linear interpolation in geographic dimensions of a grid.

Implements linear interpolation in geographic dimensions of a grid.

Author
  Sandy Ballard

Definition at line 76 of file GeoTessPositionLinear.h.

## Constructor & Destructor Documentation

## ◆ GeoTessPositionLinear()

geotess::GeoTessPositionLinear::GeoTessPositionLinear | ( | GeoTessModel * | model,
|  | const GeoTessInterpolatorType & | radialType )

Standard constructor.

## ◆ ~GeoTessPositionLinear()

virtual geotess::GeoTessPositionLinear::~GeoTessPositionLinear | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ getInterpolatorType()

virtual const GeoTessInterpolatorType & geotess::GeoTessPositionLinear::getInterpolatorType | ( |  | ) | const
| inline virtual

Retrieve the type of interpolation that this GeoTessPosition object is configured to perform. Either InterpolatorType.LINEAR or InterpolatorType.NATURAL_NEIGHBOR.

Reimplemented from geotess::GeoTessPosition.

Definition at line 134 of file GeoTessPositionLinear.h.

## ◆ getMemory()

virtual long geotess::GeoTessPositionLinear::getMemory | ( |  | ) |
| inline virtual

Retrieve the amount of memory consumed by this GeoTessPosition object.

Returns
  memory in bytes.

Reimplemented from geotess::GeoTessPosition.

Definition at line 136 of file GeoTessPositionLinear.h.

## ◆ update2D()

virtual void geotess::GeoTessPositionLinear::update2D | ( | int | tid | ) |
| inline protected virtual

Set vertices to the 3-element array that stores the corners of the triangle identified during the triangle walk algorithm. Horizontal coefficients are similarly set to the coefficients identified during triangle walk.

Exceptions

  GeoTessException |

Definition at line 86 of file GeoTessPositionLinear.h.

The documentation for this class was generated from the following file:

- rstt_v3.2.1/GeoTessCPP/include/GeoTessPositionLinear.h